Bug 257931 - security/masscan: Update to 1.3.2
Summary: security/masscan: Update to 1.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/robertdavidgraham/...
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2021-08-18 16:55 UTC by gettoknowmi
Modified: 2021-08-24 20:41 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (taguchi.ch)


Attachments
sugested update patch (1.86 KB, patch)
2021-08-23 22:44 UTC, Nuno Teixeira
koobs: maintainer-approval-
Details | Diff
update to masscan-1.3.2 (2.13 KB, patch)
2021-08-24 11:13 UTC, Chie Taguchi
no flags Details | Diff
update to masscan-1.3.2 (2.13 KB, patch)
2021-08-24 13:57 UTC, Chie Taguchi
taguchi.ch: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gettoknowmi 2021-08-18 16:55:23 UTC
https://github.com/robertdavidgraham/masscan

Lastest version is 1.3.2
Comment 1 Nuno Teixeira freebsd_committer 2021-08-23 22:44:32 UTC
Created attachment 227393 [details]
sugested update patch

Version 1.0.4 files/patch-src_smack1.c include:

--- src/smack1.c.orig   2017-06-06 03:59:39 UTC
+++ src/smack1.c
@@ -115,6 +115,8 @@
 #include "pixie-timer.h"
 #if defined(_MSC_VER)
 #include <intrin.h>
+#elif defined(__llvm__) && (defined(__amd64__) || defined(__i386__))
+#include <x86intrin.h>
 #elif defined(__GNUC__)
 static __inline__ unsigned long long __rdtsc(void)
 {

Version 1.3.2 src/smack1.c already includes:

#if defined (__llvm__)
#if defined(i386) || defined(__i386__)
#include <x86intrin.h>

So I think upstream added the need of <x86intrin.h> and I deleted files/patch-src_smack1.c just to see if program works ok.

What do you think, could you do further tests?

I'm busy compiling a big port update but soon I will do 'poudriere testport' tests.

Thanks
Comment 2 Nuno Teixeira freebsd_committer 2021-08-23 22:48:28 UTC
I also used from DISTVERSION instead of PORTVERSION:
---
Example 2. Using DISTVERSION

When the version only contains numbers separated by dots, dashes or underscores, use DISTVERSION.

PORTNAME=   nekoto
DISTVERSION=	1.2-4

It will generate a PORTVERSION of 1.2.4.
---
https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming

Are you ok?
Comment 3 Chie Taguchi 2021-08-24 04:06:40 UTC
I am already working to update 1.3.2 for a few days.
For amd64 is no problem. 
But For aarch64 do not work yet.
If only for amd64, files will not need.
The suggested update patch seems can not work on aarch64 because I already tried that type of patch.
I think that I need more time to solve this issue.
Comment 4 Chie Taguchi 2021-08-24 10:02:39 UTC
I have not approved of the patch.
I am creating another one.
Comment 5 Chie Taguchi 2021-08-24 11:13:22 UTC
Created attachment 227399 [details]
update to masscan-1.3.2

update version 1.3.2
fix aarch64 build issue
Comment 6 Nuno Teixeira freebsd_committer 2021-08-24 12:14:34 UTC
Nice!

Don't forget to replace PORTVERSION with DISTVERSION and please put maintainer approval flag.
Comment 7 Chie Taguchi 2021-08-24 13:57:39 UTC
Created attachment 227401 [details]
update to masscan-1.3.2

Replaced PORTVERSION with DISTVERSION

Thanks for your advice, Nuro.
Comment 8 commit-hook freebsd_committer 2021-08-24 20:40:14 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=75a79fdae85929c4663e9b8873a7b6f8bffd701a

commit 75a79fdae85929c4663e9b8873a7b6f8bffd701a
Author:     gettoknowmi <gettoknowmi@yahoo.com>
AuthorDate: 2021-08-24 20:37:20 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-08-24 20:37:20 +0000

    security/masscan: Update to 1.3.2

    ChangeLog: https://github.com/robertdavidgraham/masscan/releases/tag/1.3.2

    PR:             257931

 security/masscan/Makefile                 |  4 ++--
 security/masscan/distinfo                 |  6 +++---
 security/masscan/files/patch-src_smack1.c | 30 +++++++++++++++++++++---------
 3 files changed, 26 insertions(+), 14 deletions(-)
Comment 9 Nuno Teixeira freebsd_committer 2021-08-24 20:41:08 UTC
Committed thanks!